All resources All frames

# CounterFilter

The CounterFilter maintains a count of the number of hits to its target resource.

## Inherits

The CounterFilter class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ResourceFilter

## Attributes description

The CounterFilter defines the following attributes:

- counter

`counter`

semantics
  Maximum number of simultaneous requests to the target resource.
type
  This attribute is an editable IntegerAttribute
default value
  This attribute defaults to 0.

Jigsaw Team
$Id: org.w3c.jigsaw.filters.CounterFilter.html,v 1.3 1998/03/27 08:16:51 bmahe Exp $